=== debian/changelog ===
ros-eloquent-rviz-rendering-tests (7.0.7-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 02 Dec 2020 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (7.0.6-1bionic) bionic; urgency=high

  * Update maintainer list (#618 <https://github.com/ros2/rviz/issues/618>)
  * Contributors: Michael Jeronimo

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 27 Oct 2020 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (7.0.5-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 17 Apr 2020 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (7.0.4-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 17 Jan 2020 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (7.0.3-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (7.0.2-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (7.0.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (7.0.0-1bionic) bionic; urgency=high

  * Fix assert in mesh_loader_test (#446 <https://github.com/ros2/rviz/issues/446>)
  * Remove non-package from ament_target_dependencies() (#428 <https://github.com/ros2/rviz/issues/428>)
  * Remove -Werror from defualt compiler options (#420 <https://github.com/ros2/rviz/issues/420>)
  * Fix STL loader (#410 <https://github.com/ros2/rviz/issues/410>)
  * Contributors: Hunter L. Allen, Martin Idel, Shane Loretz, Zachary Michaels

 -- William Woodall <william@osrfoundation.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (6.1.1-1bionic) bionic; urgency=high

  * Updated test to match changes from #404 <https://github.com/ros2/rviz/issues/404>
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (6.1.0-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (6.0.0-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (5.1.0-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (5.0.0-1bionic) bionic; urgency=high

  * Changed to always build all tests and skip execution if not supported (#342 <https://github.com/ros2/rviz/issues/342>)
  * Contributors: Andreas Greimel

 -- William Woodall <william@osrfoundation.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (4.0.1-1bionic) bionic; urgency=high

  * Add Qt dependency to testing packages. (#330 <https://github.com/ros2/rviz/issues/330>)
  * Contributors: Steven! Ragnarök

 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (4.0.0-1bionic) bionic; urgency=high

  * Added tests for various displays and other features.
  * Contributors: Alessandro Bottero, Martin Idel, Steven! Ragnarök

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (3.0.0-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 07 Feb 2018 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (2.0.0-1bionic) bionic; urgency=high

  * First version for ROS 2.
  * Contributors: Martin Idel, Steven! Ragnarok, William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Dec 2017 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (1.12.11-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 02 Aug 2017 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (1.12.10-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 05 Jun 2017 17:37:00 -0000

ros-eloquent-rviz-rendering-tests (1.12.9-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 05 Jun 2017 14:23:00 -0000

ros-eloquent-rviz-rendering-tests (1.12.8-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 07 May 2017 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (1.12.7-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 05 May 2017 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (1.12.6-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 May 2017 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (1.12.5-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 01 May 2017 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (1.12.4-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (1.12.3-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 19 Oct 2016 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (1.12.2-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 18 Oct 2016 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (1.12.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 20 Apr 2016 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (1.12.0-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 11 Apr 2016 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (1.11.14-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 03 Apr 2016 00:00:00 -0000

ros-eloquent-rviz-rendering-tests (1.11.13-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 00:00:00 -0000


